Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.matchers
Class Equals

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.mockito.ArgumentMatcher<java.lang.Object>
              org.mockito.internal.matchers.Equals

All Implemented Interfaces:
  java.io.Serializable, org.hamcrest.Matcher<java.lang.Object>, org.hamcrest.SelfDescribing, ContainsExtraTypeInformation

Direct Known Subclasses:
  ArrayEquals

    public class Equals

extends ArgumentMatcher<java.lang.Object>
implements ContainsExtraTypeInformation, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Equals(java.lang.Object wanted)`

Method Summary
`java.lang.String` | `describe(java.lang.Object object)`
`void` | `describeTo(org.hamcrest.Description description)`
`boolean` | `equals(java.lang.Object o)`
`protected java.lang.Object` | `getWanted()`
`int` | `hashCode()`
`boolean` | `matches(java.lang.Object actual)` Returns whether this matcher accepts the given argument.
`boolean` | `typeMatches(java.lang.Object object)`
`org.hamcrest.SelfDescribing` | `withExtraTypeInfo()`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Equals

    public Equals(java.lang.Object wanted)

Method Detail

### matches

    public boolean matches(java.lang.Object actual)

  Description copied from class: `ArgumentMatcher`
  Returns whether this matcher accepts the given argument.

  The method should never assert if the argument doesn't match. It should only return false.

  Specified by:
    `matches` in interface `org.hamcrest.Matcher<java.lang.Object>`
  Specified by:
    `matches` in class `ArgumentMatcher<java.lang.Object>`
  Parameters:
    `actual` - the argument
  Returns:
    whether this matcher accepts the given argument.

### describeTo

    public void describeTo(org.hamcrest.Description description)

  Specified by:
    `describeTo` in interface `org.hamcrest.SelfDescribing`
  Overrides:
    `describeTo` in class `ArgumentMatcher<java.lang.Object>`

### describe

    public java.lang.String describe(java.lang.Object object)

### getWanted

    protected final java.lang.Object getWanted()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### withExtraTypeInfo

    public org.hamcrest.SelfDescribing withExtraTypeInfo()

  Specified by:
    `withExtraTypeInfo` in interface `ContainsExtraTypeInformation`

### typeMatches

    public boolean typeMatches(java.lang.Object object)

  Specified by:
    `typeMatches` in interface `ContainsExtraTypeInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD